Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 531532 - Crash for profiles with a non-existent non-relative profile location
: Crash for profiles with a non-existent non-relative profile location
Product: Toolkit
Classification: Components
Component: Startup and Profile System (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.9.3a1
Assigned To: Gabriele Best [:Gabri]
: Benjamin Smedberg [:bsmedberg]
Depends on:
  Show dependency treegraph
Reported: 2009-11-28 08:01 PST by Gabriele Best [:Gabri]
Modified: 2009-12-04 06:32 PST (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

proposed patch (764 bytes, patch)
2009-11-28 08:37 PST, Gabriele Best [:Gabri]
benjamin: review+
mbeltzner: approval1.9.2+
Details | Diff | Splinter Review

Description Gabriele Best [:Gabri] 2009-11-28 08:01:56 PST
Steps to reproduce:

- Download and unzip a trunk build on your desktop
- Make a batch file with ("profile" folder must not exist):
  start C:\......\firefox\firefox.exe -profile profile

Message returned: "Firefox is already running, but is not responding. To open a new window, you must first close the existing Firefox process, or restart your system.".
Comment 1 Gabriele Best [:Gabri] 2009-11-28 08:02:50 PST
It should create the "profile" folder automatically or display to the user if he wants to create it.
Comment 2 Gabriele Best [:Gabri] 2009-11-28 08:37:18 PST
Created attachment 414916 [details] [diff] [review]
proposed patch

It works, I hope benjamin could review it.
Comment 3 WADA 2009-11-30 19:09:29 PST
Dup of bug 278860?
Comment 4 Benjamin Smedberg [:bsmedberg] 2009-12-01 07:14:35 PST
No, not at all.
Comment 5 WADA 2009-12-02 07:50:32 PST
(In reply to comment #4)
> No, not at all.

Benjamin Smedberg, what is difference of this bug from problem of bug 278860?
Proposed patch to this bug never covers problem of bug 278860?
Or you saying that "Firefox is already running, but is not responding. ..." when non-relative path(this bug) is absolutely different problem from the message/phenomenon when relative path(bug 278860)?
Or this bug is really for crash even though Crash-ID is not reported to this bug?
Comment 6 Gabriele Best [:Gabri] 2009-12-02 08:37:55 PST
This bug is specifically about -profile so it's not a dup of bug 278860.
I'll take a look to bug 278860 soon :)
Comment 7 Mike Beltzner [:beltzner, not reading bugmail] 2009-12-02 08:44:47 PST
Comment on attachment 414916 [details] [diff] [review]
proposed patch

Comment 8 WADA 2009-12-02 09:16:44 PST
(In reply to comment #6)
> I'll take a look to bug 278860 soon :)

Gabriele Best, I hope you'll resolve bug 459638 too, which Benjamin closed as WONTFIX once in the past :-)
(Note: I understand why Benjyamin closed that bug as WONTFIX once, but I can't accept WONTFIX of that bug, although I can explain "why Bug 491295 was WONTFIXE'ed/it's reasonable/we should acceptt it" to users and bug openers for similar phenomenon to Bug 491295.)
Comment 9 Marco Bonardo [::mak] 2009-12-02 11:13:36 PST
Comment 10 Marco Bonardo [::mak] 2009-12-03 03:02:16 PST
Comment 11 Marco Bonardo [::mak] 2009-12-04 06:32:39 PST
target should stay to the first branch where the patch has been pushed.

Note You need to log in before you can comment on or make changes to this bug.